/*------------------------------------------------------------------------------
Hebrew Calendar is a simple program which show the hebrew dates and holydays
of the gregorian calendar

Copyright (C) 2005  Asaf Shachar <asafsh1@users.sourceforge.net> 

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
------------------------------------------------------------------------------*/

#ifndef EVENTSSQL_H
#define EVENTSSQL_H

#include <glib.h>

#define _DEBUG 0

struct _event_item {
  int date;
  int index;
  int status;
  char *description;  
} ;

typedef struct _event_item event_item;

event_item *init_event_iterator ();
event_item *event_iterator_next ();
void print_events_data () ;

int
sql_query_events ( guint date );


int
sql_query_month_events ( guint date, int month[32] );


int
sql_update_event ( guint date, guint index, guint acc, gchar *desc );


int
sql_insert_event ( guint date, guint acc, gchar *desc ) ;


int
sql_delete_event ( guint date, guint index ) ;


void 
free_events_data ( ) ;


#endif







