/*------------------------------------------------------------------------------
Hebrew Calendar is a simple program which show the hebrew dates and holydays
of the gregorian calendar

Copyright (C) 2005  Asaf Shachar <asafsh1@users.sourceforge.net> 

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
------------------------------------------------------------------------------*/


#ifndef HAGIMH
#define HAGIMH

#include <iostream>
#include <string>
#include <map>

#include "calendar.h"

using namespace std;

struct hag_desc {
   int code;
   int daynum;
   string desc;
   string hdesc;	
} ;

typedef map<int,hag_desc> hagim_cache;

struct hagimdate {
  int m;
  int d;
  int yleap;
  int mleap;
};

void tohebhag (string &d, int code, int daynum);

class Hagim {
  hagim_cache hagim;
  bool cached;
  void addhag (int code, int adstart, int adend, int offset) ;

public:
  Hagim () : cached (false) { };
  int get_hag (int ad, char *hag_desc, char *hag_hdesc, int *code, int *daynum);
  void empty_cache () ;
  void print_cache () ;
  void cache_year (int y) ;
  void export_ical (char *file, int lang);
  bool iscached () {  return cached; } ;
} ;

#endif
