/*------------------------------------------------------------------------------
Hebrew Calendar is a simple program which show the hebrew dates and holydays
of the gregorian calendar

Copyright (C) 2005  Asaf Shachar <asafsh1@users.sourceforge.net>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
------------------------------------------------------------------------------*/


#include <stdio.h>
#include <sqlite3.h>
#include "sqlitedb.h"


static  sqlite3 *db;

int 
sqlite_open_db (char *dbname)
{
  int rc;

  rc = sqlite3_open(dbname, &db);
  if( rc ){
    fprintf(stderr, "Can't open database: %s\n", sqlite3_errmsg(db));
    sqlite3_close(db);
    return 0;
  }

  return 1;
}


void
sqlite_close_db ( )
{

  sqlite3_close(db);

}

int 
sqlite_exec_query (datacallback func, char *sql, void *params )
{
  int rc;
  char *zErrMsg = 0; 

  rc = sqlite3_exec(db, sql, func , params, &zErrMsg);
  if( rc!=SQLITE_OK ){
    fprintf(stderr, "SQL error: %s\n", zErrMsg);
    return 0;
  }

  return 1;
}

