/*------------------------------------------------------------------------------
Hebrew Calendar is a simple program which show the hebrew dates and holydays
of the gregorian calendar

Copyright (C) 2005  Asaf Shachar <asafsh1@users.sourceforge.net>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
------------------------------------------------------------------------------*/

// 
// based on zvi harel alef-bidi.c from the public domain 
// with my modification to cpp and string format
//
//
#include "tohebalef.h"

static const char *digits[3][9] = {/*LRO‭*/
	{ "א", "ב", "ג", "ד", "ה", "ו", "ז", "ח", "ט" },
	{ "י", "כ", "ל", "מ", "נ", "ס", "ע", "פ", "צ" },
	{ "ק", "ר", "ש", "ת", "תק", "תר", "תש", "תת", "תתק" }
    };
static const char *special[2] = { "טו", "טז" };
static const char *geresh = { "׳" };


string tohebalef (int n)
{       
    string temp="";
    int thousends=false;

    //get rid of the thousends
    if (n>1000)
    {
       n%=1000 ; 
       thousends=true;
    }
        
    int i=0;        

    // handle the 15 16 thing 
    if (n%100==15 || n%100==16)
    {
       temp.insert (0, special[ n % 100 - 15]);
       n=n/100;
       i=2;
    } 

    // construct the number from table
    while (n)
    {
       if (n % 10) 
           temp.insert (0, digits[i][ n % 10 - 1]);
       i++; 

       n/=10;    
    }    

//    if (thousends)
//	temp.insert (3, geresh);
   
    return temp ;
}

string tohebalefgeresh (int n)
{
    string t=tohebalef (n) ;
    t+=geresh;

    return t;
}

