/*------------------------------------------------------------------------------
Hebrew Calendar is a simple program which show the hebrew dates and holydays
of the gregorian calendar

Copyright (C) 2005  Asaf Shachar <asafsh1@users.sourceforge.net>

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
------------------------------------------------------------------------------*/


#include "tohebmonth.h"

static const char *months[12] = { 
"ניסן", "אייר", "סיון", "תמוז", "אב", "אלול", "תשרי", "חשון", "כסלו", "טבת", "שבט", "אדר" } ;

static const char *leapalefbet[2]= { "א", "ב" } ;
static const char *geresh = { "׳" };

string tohebmonth ( int n, int leap )
{
  string temp;
  if (leap && n>11) {
	temp=months[11];
	temp+=" ";
	temp+=leapalefbet[n-12];
	temp+=geresh;
  } else {
	temp=months[n - 1];
  }

  return temp;
}


